global:
  scrape_interval: 40s

remote_write:
  - url: "http://victoriametrics:8428/api/v1/write"

scrape_configs:
  - job_name: core-server
    static_configs:
      - targets: ["core-server:3000"]
  - job_name: cadvisor
    static_configs:
      - targets: ["cadvisor:8080"]
  - job_name: Kuma-Status
    static_configs:
      - targets: ["status.virtualairrescue.com"]
    basic_auth:
      username: "patrick"
      password: "wVmcxAL13HKIjGoC"
  - job_name: "livekit"
    static_configs:
      - targets: ["livekit:6789"] # Where you have deployed Livekit Server or endpoint
  - job_name: "traefik"
    static_configs:
      - targets: ["traefik:8080"] # Traefik dashboard endpoint

  - job_name: node_exporter
    scrape_interval: 15s
    static_configs:
      - targets: ["node_exporter:9100"]

  - job_name: blackbox
    metrics_path: /probe
    params:
      module: [http_2xx]
    scrape_interval: 60s
    static_configs:
      - targets:
          - https://status.virtualairrescue.com
          - https://virtualairrescue.com
          - https://ops.virtualairrescue.com
          - https://nextcloud.virtualairrescue.com
          - https://moodle.virtualairrescue.com

    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: blackbox_exporter:9115
